packages/Carla.git
2 weeks agorel 3 master auto/th/Carla-2.0-0.rc2.3
Jacek Konieczny [Wed, 21 Nov 2018 10:52:28 +0000 (11:52 +0100)]
rel 3

2 weeks agoBR: python3-PyQt5-uic
Jacek Konieczny [Wed, 21 Nov 2018 09:51:56 +0000 (10:51 +0100)]
BR: python3-PyQt5-uic

2 weeks agorequire main package in Carla-devel auto/th/Carla-2.0-0.rc2.2
Jacek Konieczny [Wed, 21 Nov 2018 09:37:39 +0000 (10:37 +0100)]
require main package in Carla-devel

2 weeks agoup to 2.0-RC2, rebuild with fluidsynth 2 auto/th/Carla-2.0-0.rc2.1
Jacek Konieczny [Mon, 19 Nov 2018 12:25:01 +0000 (13:25 +0100)]
up to 2.0-RC2, rebuild with fluidsynth 2

2 months agoVersion: v1.9.9 auto/th/Carla-2.0-0.beta7.1
Jacek Konieczny [Thu, 13 Sep 2018 11:27:10 +0000 (13:27 +0200)]
Version: v1.9.9

some built-in plugins have been moved to a separate repository and they
won't build properly on Linux

5 months ago- release 5 (by relup.sh) auto/th/Carla-2.0-0.beta6.5
Arkadiusz Miśkiewicz [Thu, 5 Jul 2018 06:54:38 +0000 (08:54 +0200)]
- release 5 (by relup.sh)

7 months ago- rebuild with ffmpeg 4.0 auto/th/Carla-2.0-0.beta6.4
Jan Rękorajski [Thu, 26 Apr 2018 14:44:32 +0000 (16:44 +0200)]
- rebuild with ffmpeg 4.0
- rel 4

9 months agoPatch added for proper mmap() error handling auto/th/Carla-2.0-0.beta6.3
Jacek Konieczny [Thu, 1 Mar 2018 10:18:57 +0000 (11:18 +0100)]
Patch added for proper mmap() error handling

Fixes mysterious crashes when 'ulimit -l' is set too low.

9 months agoUse '--trace' for make, as default build is too quiet
Jacek Konieczny [Thu, 1 Mar 2018 10:18:28 +0000 (11:18 +0100)]
Use '--trace' for make, as default build is too quiet

9 months agoset +x bit on binaries to extract debuginfo
Jacek Konieczny [Thu, 1 Mar 2018 10:18:01 +0000 (11:18 +0100)]
set +x bit on binaries to extract debuginfo

9 months agodo not strip binaries
Jacek Konieczny [Thu, 1 Mar 2018 09:07:55 +0000 (10:07 +0100)]
do not strip binaries

9 months agoRelease: .3
Jacek Konieczny [Thu, 1 Mar 2018 09:02:00 +0000 (10:02 +0100)]
Release: .3

9 months agoa bugfix from upstream
Jacek Konieczny [Thu, 1 Mar 2018 08:47:07 +0000 (09:47 +0100)]
a bugfix from upstream

Makes some LV2 plugins without our GUI actually usable.

9 months agoRequire Python 2 PyQt tools
Jacek Konieczny [Thu, 1 Mar 2018 09:00:33 +0000 (10:00 +0100)]
Require Python 2 PyQt tools

We don't even have Python 3 pyrcc5 packaged, so we need to build Python
3 application with Python 2 tools…

10 months agoInclude LinuxSampler support auto/th/Carla-2.0-0.beta6.2
Jacek Konieczny [Sun, 4 Feb 2018 15:30:29 +0000 (16:30 +0100)]
Include LinuxSampler support

10 months agoBR: latest python-PyQt5-devel-tools auto/th/Carla-2.0-0.beta6.1
Jacek Konieczny [Sat, 3 Feb 2018 22:09:47 +0000 (23:09 +0100)]
BR: latest python-PyQt5-devel-tools

so it pulls python-PyQt5 too

10 months agoadd /usr/share/soundfonts to default search paths
Jacek Konieczny [Sat, 3 Feb 2018 22:00:04 +0000 (23:00 +0100)]
add /usr/share/soundfonts to default search paths

10 months agoBR: python3-PyQt5
Jacek Konieczny [Sat, 3 Feb 2018 21:37:42 +0000 (22:37 +0100)]
BR: python3-PyQt5

10 months agoVersion: 2.0-beta6
Jacek Konieczny [Sat, 3 Feb 2018 19:55:32 +0000 (20:55 +0100)]
Version: 2.0-beta6

Patches removed:
- shared_fltk.patch – outdated and was not used anyway (due to a
mistake)
- default_qt5.patch - Qt5 is now the default upstream
- pyqt5.5.patch - not needed any more
- libdir.patch - not needed any more

2 years agoMake default qt5 optional
Jacek Konieczny [Sat, 19 Nov 2016 20:56:37 +0000 (21:56 +0100)]
Make default qt5 optional

The qt4 version provides VST plugin and would be build whenever PyQt4
was installed.

2 years agoPass compilation flags to make
Jacek Konieczny [Sat, 19 Nov 2016 18:13:36 +0000 (19:13 +0100)]
Pass compilation flags to make

2 years agouse shared fltk libs
Jacek Konieczny [Sat, 19 Nov 2016 18:10:02 +0000 (19:10 +0100)]
use shared fltk libs

2 years agodependencies updated
Jacek Konieczny [Sat, 19 Nov 2016 18:05:54 +0000 (19:05 +0100)]
dependencies updated

Note: different GUI libraries, in various versions, are used – I guess
that is for different plugins that might use different GUIs.

2 years agoUse '-j1' for make
Jacek Konieczny [Sat, 19 Nov 2016 17:46:57 +0000 (18:46 +0100)]
Use '-j1' for make

2 years agonew package
Jacek Konieczny [Sat, 19 Nov 2016 15:11:52 +0000 (16:11 +0100)]
new package

This page took 0.216406 seconds and 4 git commands to generate.